{
    "name": "tiki/tiki",
    "description": "Tiki Wiki CMS Groupware",
    "license": "LGPL-2.1-only",
    "homepage": "https://tiki.org",
    "minimum-stability": "stable",
    "_comment": [
        "Yes, that's the only way to do comments",
        "  https://github.com/composer/composer/issues/5364",
        "",
        "How to update dependencies",
        "  satis and composer.tiki.org",
        "    First, make sure the version you want is covered by ",
        "    doc/devtools/statis.json,  as that's what makes the ",
        "    package available on composer.tiki.org",
        "  check composer.json: ",
        "    composer update -d vendor_bundled --dry-run",
        "  update composer.lock: ",
        "    composer -d vendor_bundled update",
        "  Useful to look at: ",
        "    composer -d vendor_bundled outdated",
        "  This is what setup.sh runs: ",
        "    composer -d vendor_bundled install --prefer-dist #In dev mode",
        "    composer -d vendor_bundled install --prefer-dist --no-dev #In release mode",
        "",
        "DIRECT PHP PACKAGE DEPENDENCIES NOTES:",
        "",
        "  montefuscolo/xmpp",
        "    ABANDONNED package (repo archived)",
        "    Provides the Fabiang\\Xmpp\\ namespace",
        "    still used by /lib/xmpp/TikiXmppChat.php.",
        "    Seems unlikely that still works since we also lock",
        "    a very old npm-asset/converse.js at 7.0.4",
        "    the current version is 10.1.2 as of 2023-05-05",
        "    If we keep it, should maybe move the repo under",
        "    https://gitlab.com/wikisuite/xmpp - fabio",
        "",
        "  itsjavi/bootstrap-colorpicker",
        "    ABANDONNED package",
        "    + we are using a VERY old version 2.2.3, the last one was 3.4.0.",
        "    Included in lib/core/Services/StyleGuide. ",
        "    Is that actually used? - benoitg 2023-05-05 ",
        "",
        "  paragonie/sodium_compat: ",
        "    This is https://github.com/paragonie/sodium_compat",
        "    A pure php polyfill for ",
        "    https://www.php.net/manual/en/sodium.installation.php",
        "    Sodium is a core extension since php 7.2",
        "    + we seem to actually check for it in tiki-check.php",
        "    + we have alternate code paths in lib/crypt/cryptlib.php",
        "    Security critical, aparently uninitialised code",
        "    Should probably be removed. benoitg 2023-05-05",
        "",
        "  sentry/sdk",
        "    Provides the Sentry namespace",
        "    Used for our Glitchtip integration to catch PHP errors",
        "    Initialised by lib/setup/errortracking.php when ",
        "    error_tracking_enabled_php is set",
        "",
        "  steverhoades/oauth2-openid-connect-client:",
        "    Provides namespace OpenIDConnectClient",
        "    Used by lib/OpenIdConnectLib.php",
        "  symfony/finder: ",
        "    provides Symfony\\Component\\Finder",
        "    Used by phpunit, but also lib/core/Tiki/Package and lib/setup/theme.php",
        "  symfony/process: ",
        "    provides Symfony\\Component\\Process",
        "    Used by Tiki\\Process, phpunit",
        "  symfony/yaml: ",
        "    provides Symfony\\Component\\Yaml",
        "    Used throughout tiki",
        "",
        "  zf1s/zend-service-akismet:",
        "    Maintained fork of zendframework/zendservice-akismet, ",
        "    which upstream avandonned in 2019.",
        "    Provides ZendService\\Akismet\\Akismet which is only used by lib/comments/commentslib.php.",
        "    A more actively maintained alternative would be ",
        "    https://github.com/gsteel/akismet, but would require code changes",
        "",
        "  pear/xml_rpc: hasn't had a release since 2011. ",
        "    https://pear.php.net/package/XML_RPC ",
        "    It's replacement (which we don't use)",
        "    is https://pear.php.net/package/XML_RPC2",
        "    Used by tiki-xmlrpc_services.php, tiki-send_objects.php, ",
        "    remote.php, lib/userslib.php  lib/registration/registrationlib.php",
        "",
        "",
        "NOTABLE TRANSITIVE DEPENDENCIES NOTES:",
        "  Try to document here packages that:",
        "    -  Are here just to lock the version used by another package",
        "    -  Are not here, but are noteworthy when installed transitively:",
        "      - ABANDONNED packages installed transitively",
        "",
        "  php-http/message-factory: ",
        "    ABANDONNED package.",
        "    Required transitively by sentry/sdk",
        "",
        "PACKAGE THAT ONLY PROVIDE JS OR CSS NOTES:",
        "  Typically these are:",
        "    - bower-asset/*",
        "    - npm-asset/*",
        "    - jquery/*",
        "  They are all destined to be installed from npm.  But some will be bundled, some compiled-in, etc.",
        "",
        "  bower-asset/fontawesome",
        "    This is @fortawesome/fontawesome-svg-core.  It is only used by ",
        "    the tiki themes.  To be determined if it needs to be compiled in ",
        "    or if we want to make it all available so any custom themes can ",
        "    use everything.  But if custom themes are also compiled it will ",
        "    be a non-issue.",
        "",
        "  npm-asset/converse.js",
        "    Upgrade is blocked because the npm-asset package was not runnable",
        "    Priority once we can build from node but does not block Tiki 26",
        "    benoitg 2023-05-12",
        "",
        "  sam152/javascript-equal-height-responsive-rows: ",
        "    Used by pref feature_equal_height_rows_js",
        "    installs as Sam152/Javascript-Equal-Height-Responsive-Rows",
        "    No release in 9 years, does it still work? - benoitg 2023-05-05",
        "",
        "  npm-asset/sentry--browser",
        "    Initialised by lib/setup/tiki-setup.php when ",
        "    error_tracking_enabled_js is set",
        "    Migrating to @sentry/browser and the new build system ",
        "    is possible.  However, it's currently conditionally ",
        "    included in tiki_setup.php, and it depends on several ",
        "    sub-packages.  We can compile into a future general tiki js init",
        "    (but then it's no longer conditionally included, but smaller)",
        "    or we keep the same approach as currently, but that requires",
        "    bundling several more packages @sentry/core, etc. ",
        "",
        "  npm-asset/vue",
        "    This is only the vue 2 support, vue 3 is already installed from",
        "    npm.  This can be removed once wikiplugin-vue is ported and ",
        "    there is a new ui-predicate release ",
        "    https://github.com/FGRibreau/ui-predicate/issues/152",
        "",
        "DEV DEPENDENCIES NOTES:",
        "",
        "  sebastian/diff: ",
        "    provides SebastianBergmann\\Diff\\Differ",
        "    Used by phpunit and console.php index:compare-engines"
    ],
    "require": {
        "sam152/javascript-equal-height-responsive-rows": "1.0.0",
        "adodb/adodb-php": "^5.22.4",
        "afarkas/html5shiv": "3.7.3",
        "avianey/jqdoublescroll": ">=1.0.0",
        "bacon/bacon-qr-code": "^2.0.0",
        "bower-asset/fontawesome": "^6.1.2",
        "candy-chat/xmpp-prebind-php": "dev-master",
        "christian-vigh-phpclasses/pdftotext": "^1.6.0",
        "ckeditor/ckeditor": "<=4.22.1",
        "codemirror/codemirror": "5.19.0",
        "codercat/jwk-to-pem": "^1.0",
        "cboden/ratchet": "^0.4",
        "composer/semver": "^3.2",
        "cweagans/composer-patches": "^1.7",
        "css-tricks/anythingslider-themes": "^1.4.1",
        "cwspear/bootstrap-hover-dropdown": "^2.2.1",
        "dragonmantank/cron-expression": "^3.0",
        "drmonty/smartmenus": ">=1.1.0",
        "melbahja/seo": "^2.0",
        "elliotjreed/disposable-emails-filter": "^3.3",
        "erusev/parsedown": ">=1.8.0-beta-5",
        "ezyang/htmlpurifier": "^4.8.0",
        "henrique-borba/php-sieve-manager": "^1.0.0",
        "h5p/h5p-core": "^1.24",
        "h5p/h5p-editor": "^1.24",
        "hybridauth/hybridauth": "^3.7",
        "itsjavi/bootstrap-colorpicker": "^2.5.1",
        "jasig/phpcas": "^1.3",
        "jason-munro/cypht": "dev-master",
        "jquery-form/form": "^3.51",
        "jquery/jquery-sheet": "3.1",
        "jquery/jquery-timepicker-addon": "^1.6.3",
        "jquery/minicart": "^3.0",
        "jquery/photoswipe": "3.0.5",
        "jquery-plugins/anythingslider": "1.9.6",
        "jquery-plugins/async": "1.0",
        "jquery-plugins/colorbox": "1.6.4",
        "jquery-plugins/fitvidjs": "^1.2",
        "jquery-plugins/galleriffic": "2.0.1",
        "jquery-plugins/infinitecarousel": "3.0.3",
        "jquery-plugins/jquery-json": "2.5.1",
        "jquery-plugins/jquery-validation": "1.13.1",
        "jquery-plugins/nestedsortable": "1.3.4",
        "jquery-plugins/reflection-jquery": "1.1",
        "jquery-plugins/tagcanvas": "2.8",
        "jquery-plugins/treetable": "3.2.0",
        "jquery-plugins/zoom": "1.7.18",
        "kaltura/api-client-library": "^19.4",
        "laminas/laminas-captcha": "^2.9",
        "laminas/laminas-config": "^3.3",
        "laminas/laminas-eventmanager": "^3.2.1",
        "laminas/laminas-feed": "^2.12",
        "laminas/laminas-filter": "^2.9.2",
        "laminas/laminas-http": "^2.15",
        "laminas/laminas-i18n": "^2.10.1",
        "laminas/laminas-ldap": "^2.10.1",
        "laminas/laminas-log": "^2.12",
        "laminas/laminas-mail": "^2.10",
        "laminas/laminas-mime": "^2.7.2",
        "laminas/laminas-session": "^2.9.1",
        "laminas/laminas-soap": "^2.8.0",
        "laminas/laminas-tag": "^2.7.1",
        "laminas/laminas-uri": "^2.9.1",
        "laminas/laminas-validator": "^2.13",
        "laminas/laminas-oauth": "~2.0",
        "laminas/laminas-recaptcha": "~3.2",
        "laminas/laminas-text": "^2.8",
        "laminas/laminas-twitter": "~2.1",
        "league/flysystem": ">=2.0.0-beta.3",
        "league/commonmark": "^2.3",
        "league/html-to-markdown": "^5.1",
        "manticoresoftware/manticoresearch-php": "^3.0",
        "matthiasmullie/minify": "^1.3.58",
        "mautic/api-library": "~3.0.0",
        "mediumjs/mediumjs": "1.0.1",
        "michelf/php-smartypants": "^1.8.1",
        "mottie/tablesorter": "^2.28",
        "mrrio/jspdf": "1.5.3",
        "nagarajanchinnasamy/subtotal": "~1.9",
        "nicolaskruchten/pivottable": "^2.20.0",
        "nlgen/nlgen": "^0.18",
        "nolimits4web/swiper": "^4.2",
        "npm-asset/animejs": "~3.2.1",
        "npm-asset/blueimp-file-upload": "^9.28",
        "npm-asset/boomerangjs": "^1.687",
        "npm-asset/converse.js": "7.0.4",
        "npm-asset/chart.js": "^4.4.0",
        "npm-asset/dompurify": "^2.3.3",
        "npm-asset/html2canvas": "^1.0.0-RC.5",
        "npm-asset/interactjs": "^1.10",
        "npm-asset/popper.js": "^1.13.4",
        "npm-asset/prefixfree": ">=1.0.10",
        "npm-asset/reveal.js": "^3.9.2",
        "npm-asset/sass-svg-uri": "^1.0",
        "npm-asset/select2": "^4.1.0-RC.0",
        "npm-asset/select2-bootstrap-5-theme": "^1.2",
        "npm-asset/sentry--browser": "^6.0",
        "npm-asset/vue": "^2.6",
        "npm-asset/zxing--library": ">=0.17.0",
        "npm-asset/signature_pad": "^2.3.2",
        "npm-asset/toast-ui--editor": "^3.2.0",
        "onelogin/php-saml": "^4.0.0",
        "openannotation/annotator": ">=1.2.10",
        "openlayers/openlayers": "^6.9",
        "walkermatt/ol-layerswitcher": ">=3.3.0",
        "paragonie/sodium_compat": "^1.17",
        "pclzip/pclzip": "^2.8",
        "pear/db": "1.7.13",
        "pear/net_socket": "^1.2",
        "pear/pear": "^1.10",
        "pear/text_wiki_mediawiki": "0.2.0",
        "pear/xml_parser": "^1.3",
        "pear/xml_rpc": "^1.5",
        "philippemarcmeyer/fieldslinker": "^1.0.3",
        "phpseclib/phpseclib": "~2.0",
        "plotly/plotly.js": "~1.31",
        "pragmarx/google2fa": "^7.0",
        "rambomst/php-bounce-handler": "^1.6",
        "rangy/rangy": "1.3.0",
        "react/child-process": "^0.6.4",
        "robicch/jquery-gantt": "^6.3",
        "rmm5t/jquery-timeago": "^1.5",
        "sabre/dav": "~4.4.0",
        "sentry/sdk": "^3.3",
        "simile_timeline/simile_timeline": "2.3.0",
        "slm/mail": "^4.2",
        "smarty/smarty": "^4.0",
        "sorich87/bootstrap-tour": "dev-master",
        "studio-42/elfinder": "~2.1",
        "steverhoades/oauth2-openid-connect-client": "^2.0.0",
        "svg-edit/svg-edit": "2.8.1",
        "swagger-api/swagger-ui": "^4.1",
        "symfony/config": "^4.1",
        "symfony/console": "^5.4.23",
        "symfony/dependency-injection": "^4.4",
        "symfony/mime": "^5.4.23",
        "symfony/finder": "^5.4.21",
        "symfony/polyfill-ctype": "^1.27",
        "symfony/polyfill-iconv": "^1.27",
        "symfony/polyfill-intl-icu": "^1.27",
        "symfony/polyfill-mbstring": "^1.27",
        "symfony/polyfill-php80": "^1.27",
        "symfony/polyfill-php81": "^1.27",
        "symfony/polyfill-php82": "^1.28",
        "symfony/polyfill-php83": "^1.28",
        "symfony/process": "^5.4.23",
        "symfony/routing": "^4.1",
        "symfony/yaml": "^5.4.23",
        "teqneers/shamir": "dev-master",
        "tijsverkoyen/css-to-inline-styles": "^2.2.0",
        "tikiwiki/ilp-client": "^1.0",
        "thomaspark/bootswatch": "~5.1",
        "undojs/undojs": "1",
        "zbateson/mail-mime-parser": "^2.4",
        "zf1s/zend-service-akismet": "^1.15.2",
        "league/oauth2-server": "^8.0",
        "ext-json": "*",
        "ext-libxml": "*",
        "ext-dom": "*",
        "ext-gd": "*",
        "ext-intl": "*",
        "ext-fileinfo": "*",
        "ext-calendar": "*",
        "ext-curl": "*",
        "ext-openssl": "*",
        "ext-iconv": "*",
        "ext-zip": "*",
        "rubix/ml": "^2.1",
        "rubix/extras": "2.0.0-beta",
        "phpxmlrpc/phpxmlrpc": "^4.9"
    },
    "require-dev": {
        "kint-php/kint": "^4.1",
        "kornrunner/dbunit": "^7",
        "mikey179/vfsstream": "^1",
        "overtrue/phplint": "^9.0.4",
        "phpcompatibility/php-compatibility": "^10.x-dev",
        "phpcsstandards/phpcsutils": "^1.0.0-alpha3",
        "phpstan/phpstan": "^1.10.16",
        "phpstan/phpstan-deprecation-rules": "^1.1.3",
        "phpunit/phpunit": "^9.6.7",
        "phpunit/phpunit-selenium": "^9.0.1",
        "rector/rector": "^0.17.0",
        "sebastian/diff": "^4.0.5",
        "squizlabs/php_codesniffer": "^3.1",
        "symfony/browser-kit": "^5.4",
        "symfony/http-client": "^5.4",
        "thibautselingue/local-php-security-checker-installer": "^1.0.4",
        "umakantp/smartylint": "0.1.4-p1"
    },
    "extra": {
        "patches-file": "../installer/composer-patches/composer-patches.json"
    },
    "replace": {
        "npm-asset/tslib": "*"
    },
    "config": {
        "process-timeout": 5000,
        "bin-dir": "../bin",
        "_comment": "platform-check CANNOT be enabled, because it would check the ext-* requirements of our dependencies not just ours.  See the workarounds below.  So anything that uses the autoloader, including console.php wouldn't work on a server without ext-soap installed.  Note that platform-check will NOT check the maximum php version anyway, even if we put it in our requires.  In platform, php: The oldest version we support, so composer doesn't pick packages that are incompatible with it (nothing to do with what is checked if we enable platform-check).  On the other hand: ext-*: 0 are workarounds.  ext-ldap is in the require of laminas/laminas-ldap. ext-soap is in the require of laminas/laminas-soap.  We couldn't composer install without this workaround if php-ldap or php-soap aren't installed",
        "platform-check": false,
        "platform": {
            "php": "8.1",
            "ext-ldap": "0",
            "ext-soap": "0"
        },
        "secure-http": false,
        "allow-plugins": {
            "composer/installers": true,
            "oomphinc/composer-installers-extender": true,
            "cweagans/composer-patches": true,
            "dealerdirect/phpcodesniffer-composer-installer": true,
            "php-http/discovery": true
        }
    },
    "autoload": {
        "psr-0": {
            "BOMChecker": "../lib/core/",
            "Category": "../lib/core/",
            "DeclFilter": "../lib/core/",
            "Feed": "../lib/core/",
            "H5P": "../lib/core/",
            "IDS": "../lib/core",
            "JitFilter": "../lib/core/",
            "Math": "../lib/core/",
            "Multilingual": "../lib/core/",
            "Perms": "../lib/core/",
            "Report": "../lib/core/",
            "Scheduler": "../lib/core/",
            "Search": "../lib/core/",
            "Services": "../lib/core/",
            "Table": "../lib/core/",
            "Tiki": "../lib/core/",
            "TikiDb": "../lib/core/",
            "TikiFilter": "../lib/core/",
            "Tracker": "../lib/core/",
            "Type": "../lib/core/",
            "WikiParser": "../lib/core/",
            "WikiPlugin": "../lib/core/",
            "Text": "vendor/pear/text_wiki_mediawiki/"
        },
        "psr-4": {
            "Tiki\\": [
                "../lib/core/Tiki",
                "../lib/core/"
            ],
            "Tiki\\Lib\\": "../lib/",
            "Tiki\\Lib\\Payment\\": "../lib/payment"
        },
        "classmap": [
            "../installer/",
            "../lib/language/",
            "../lib/openpgp/",
            "../lib/rating/formula/",
            "../lib/setup",
            "../lib/stats",
            "../lib/tikidate.php",
            "../lib/webmail",
            "../lib/calendar/calrecurrence.php",
            "vendor/adodb/adodb-php/",
            "vendor/h5p/h5p-core",
            "vendor/h5p/h5p-editor",
            "vendor/pear/xml_rpc",
            "vendor/smarty/smarty/libs/sysplugins/smarty_security.php"
        ],
        "exclude-from-classmap": [
            "../lib/openpgp/OpenPGP_Zend_Mail_Transport_Smtp.php",
            "vendor/adodb/adodb-php/adodb-active-recordx.inc.php",
            "vendor/adodb/adodb-php/adodb-xmlschema03.inc.php",
            "vendor/adodb/adodb-php/drivers/adodb-ado5.inc.php",
            "vendor/adodb/adodb-php/drivers/adodb-db2ora.inc.php",
            "vendor/adodb/adodb-php/drivers/adodb-mysqlt.inc.php",
            "vendor/adodb/adodb-php/session/adodb-session2.php",
            "vendor/adodb/adodb-php/session/old/crypt.inc.php",
            "vendor/pear/text_wiki_mediawiki/Text/Wiki/Parse/***",
            "vendor/pear/text_wiki_mediawiki/Text/Wiki/Render/***",
            "vendor/pear/pear/./PEAR/Exception.php"
        ],
        "files": [
            "../path_constants.php"
        ]
    },
    "autoload-dev": {
        "classmap": [
            "../lib/test/"
        ]
    },
    "include-path": [
        "vendor/pear/text_wiki_mediawiki/",
        "vendor/pear/xml_rpc"
    ],
    "scripts": {
        "pre-install-cmd": [
            "Tiki\\Composer\\RestoreVendors::restore",
            "Tiki\\Composer\\CleanVendorAfterVendorBundledMigration::cleanLinks"
        ],
        "post-install-cmd": [
            "Tiki\\Composer\\ThemeInstaller::setup",
            "Tiki\\Composer\\BootstrapCompiler::build",
            "Tiki\\Composer\\CleanVendors::clean",
            "Tiki\\Composer\\CleanVendorAfterVendorBundledMigration::clean",
            "Tiki\\Composer\\PatchCypht::setup"
        ],
        "pre-update-cmd": [
            "Tiki\\Composer\\RestoreVendors::restore",
            "Tiki\\Composer\\ThemeInstaller::setup",
            "Tiki\\Composer\\CleanVendorAfterVendorBundledMigration::cleanLinks"
        ],
        "post-update-cmd": [
            "Tiki\\Composer\\BootstrapCompiler::build",
            "Tiki\\Composer\\CleanVendors::clean",
            "Tiki\\Composer\\CleanVendorAfterVendorBundledMigration::clean",
            "Tiki\\Composer\\PatchCypht::setup"
        ],
        "test": "php ../lib/test/phpunit.php -c phpunit.xml.dist --colors=always"
    },
    "repositories": {
        "tiki.org": {
            "type": "composer",
            "url": "https://composer.tiki.org",
            "canonical": true
        },
        "asset-packagist.org": {
            "type": "composer",
            "url": "https://asset-packagist.org"
        }
    }
}
